Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3.

Added by Frizziero Eric about 6 years ago

Hi,

I found a problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3.
The problem is due to the new VOMS client release (vers. 3.0).

rpm -qa | grep voms
voms-clients3-3.0.1-1.el6.noarch
voms-2.0.10-1.el6.x86_64
voms-2.0.10-1.el6.i386
voms-api-java3-3.0.0-1.el6.noarch

The error is the following:
------------------------
GSSException: Defective credential detected [Caused by: [JGLOBUS-12] No private key loaded]
at fr.in2p3.jsaga.adaptor.security.VOMSSecurityAdaptor.createSecurityCredential(VOMSSecurityAdaptor.java:189)
at fr.in2p3.jsaga.impl.context.ContextImpl.createCredential(ContextImpl.java:282)
at fr.in2p3.jsaga.impl.session.SessionImpl.addContext(SessionImpl.java:63)
------------------------

The branch JSAGA-0.9.17-SNAPSHOT (https://git.in2p3.fr/public/jsaga/commit/?h=jglobus2) could solve the problem, but the compile of the module "JSAGA Installer" failed.

------------------------------
[INFO] List of adaptors .................................. SUCCESS [0.024s]
[INFO] JSAGA Installer ................................... FAILURE [1:43.177s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 7:31.619s
[INFO] Finished at: Fri May 10 14:13:55 CEST 2013
[INFO] Final Memory: 115M/439M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-plugin-dependency-xml:1.0:serialize (serialize-dependencies) on project jsaga-installer: Failed to retrieve project: org.jglobus:gss:jar:2.0-Beta6-SNAPSHOT:compile
------------------------------

How could I go on in order to use JSAGA with EMI-UI 3?

Thanks in advance,
E r i c.


Replies (6)

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Scardaci Diego about 6 years ago

Dear All,
do you have news on this topic?

Cheers,
Diego

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Schwarz Lionel about 6 years ago

Hi Diego and Eric
I'll come back to you later this week.
Cheers
Lionel

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Schwarz Lionel almost 6 years ago

Hi Eric & Diego,
sorry for the delay.
I don't have the full stacktrace for your issue, but it is possbible that this comes from the securoty setup of your JRE. I have seen such errors before I installed the unlimited strength juridiction security files of Java.
If you use Java1.6, download these files here:
http://www.oracle.com/technetwork/java/javase/downloads/jce-6-download-429243.html
and install them as indicated.
There is another download URL for Java1.7

Let me know if this is the source of your problem.

Cheers
lionel

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Frizziero Eric almost 6 years ago

Hi Lionel,

sorry for the delay. In the meantime I have made some tests.
I have changed the url of the repository "emi-infn-repo", because the host "devel12" doesn't exist anymore.

Without or with the "unlimited strength juridiction security files of Java" installed, the error is now the following (mvn -X compile):

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-plugin-dependency-xml:1.0:serialize (serialize-dependencies) on project jsaga-installer: Failed to retrieve project: eu.eu-emi.security:canl:jar:1.1.0:compile -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.maven.plugins:maven-plugin-dependency-xml:1.0:serialize (serialize-dependencies) on project jsaga-installer: Failed to retrieve project: eu.eu-emi.security:canl:jar:1.1.0:compile

However in my local repository there's already the jar file "canl-1.1.0.jar":

ll /home/frizzier/.m2/repository/eu/eu-emi/security/canl/1.1.0
total 308
drwxrwxr-x 2 frizzier frizzier   4096 Jun 10 12:26 ./
drwxrwxr-x 3 frizzier frizzier   4096 May  6 16:45 ../
-rw-rw-r-- 1 frizzier frizzier 275008 May  7 16:25 canl-1.1.0.jar
-rw-rw-r-- 1 frizzier frizzier    267 May  6 16:45 canl-1.1.0.jar.lastUpdated
-rw-rw-r-- 1 frizzier frizzier   8424 May  6 16:45 canl-1.1.0.pom
-rw-rw-r-- 1 frizzier frizzier    267 May  6 16:45 canl-1.1.0.pom.lastUpdated
-rw-rw-r-- 1 frizzier frizzier    187 May  6 16:45 _maven.repositories


what's the problem?

Thanks in advance,
E r i c.

Excerpt of the stacktrace:

[DEBUG] Could not find metadata org.jglobus:ssl-proxies:2.0-Beta6-SNAPSHOT/maven-metadata.xml in local (/home/frizzier/.m2/repository)
[DEBUG] Failure to find org.jglobus:ssl-proxies:2.0-Beta6-SNAPSHOT/maven-metadata.xml in http://grid.in2p3.fr/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of in2p3-maven2-repository-libraries has elapsed or updates are forced
[DEBUG] Failure to find org.jglobus:ssl-proxies:2.0-Beta6-SNAPSHOT/maven-metadata.xml in https://github.com was cached in the local repository, resolution will not be reattempted until the update interval of voms-api-java has elapsed or updates are forced
[DEBUG] Verifying availability of /home/frizzier/.m2/repository/org/jglobus/ssl-proxies/2.0-Beta6-SNAPSHOT/ssl-proxies-2.0-Beta6-SNAPSHOT.pom from [in2p3-maven2-repository-libraries (http://grid.in2p3.fr/maven2, releases+snapshots), voms-api-java (https://github.com, releases+snapshots), central (http://repo.maven.apache.org/maven2, releases)]
[DEBUG] Could not find metadata org.italiangrid:voms-api-java:3.0-SNAPSHOT/maven-metadata.xml in local (/home/frizzier/.m2/repository)
[DEBUG] Failure to find org.italiangrid:voms-api-java:3.0-SNAPSHOT/maven-metadata.xml in http://grid.in2p3.fr/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of in2p3-maven2-repository-libraries has elapsed or updates are forced
[DEBUG] Failure to find org.italiangrid:voms-api-java:3.0-SNAPSHOT/maven-metadata.xml in https://github.com was cached in the local repository, resolution will not be reattempted until the update interval of voms-api-java has elapsed or updates are forced
[DEBUG] Verifying availability of /home/frizzier/.m2/repository/org/italiangrid/voms-api-java/3.0-SNAPSHOT/voms-api-java-3.0-SNAPSHOT.pom from [in2p3-maven2-repository-libraries (http://grid.in2p3.fr/maven2, releases+snapshots), voms-api-java (https://github.com, releases+snapshots), central (http://repo.maven.apache.org/maven2, releases)]
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] JSAGA Project ..................................... SUCCESS [0.146s]
[INFO] The integration test suite for adaptors ........... SUCCESS [4.155s]
[INFO] Interfaces for adaptors ........................... SUCCESS [2.978s]
[INFO] JSAGA Engine ...................................... SUCCESS [17.587s]
[INFO] JSAGA Adaptors .................................... SUCCESS [0.171s]
[INFO] Adaptors for classic protocols .................... SUCCESS [2.515s]
[INFO] Adaptors for Unix/Linux file systems .............. SUCCESS [2.619s]
[INFO] Adaptors for VOMS ................................. SUCCESS [2.475s]
[INFO] Adaptors for Globus Toolkit v2 .................... SUCCESS [3.077s]
[INFO] Adaptors for SRM .................................. SUCCESS [9.183s]
[INFO] Adaptors for LFC .................................. SUCCESS [4.782s]
[INFO] Adaptors for gLite-WMS ............................ SUCCESS [1.863s]
[INFO] Adaptor for BES ................................... SUCCESS [12.343s]
[INFO] BES submission on GenesisII system ................ SUCCESS [1.431s]
[INFO] Adaptor for BES submission on ARC systems (A-REX) . SUCCESS [9.627s]
[INFO] Adaptors for Unicore .............................. SUCCESS [4.162s]
[INFO] BES submission on Unicore6 system ................. SUCCESS [2.389s]
[INFO] Adaptors for SSH (based on ganymed library) ....... SUCCESS [30.526s]
[INFO] Adaptor for accessing clusters via SSH ............ SUCCESS [29.412s]
[INFO] Adaptors for SSH (based on jsch library) .......... SUCCESS [1.754s]
[INFO] Adaptors for iRODS and SRB ........................ SUCCESS [2.163s]
[INFO] Placeholder ....................................... SUCCESS [1.039s]
[INFO] Adaptors for SecretService authentication ......... SUCCESS [1.160s]
[INFO] Adaptor for OurGrid middleware .................... SUCCESS [2.797s]
[INFO] List of adaptors .................................. SUCCESS [0.010s]
[INFO] JSAGA Installer ................................... FAILURE [15.617s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 2:47.608s
[INFO] Finished at: Mon Jun 10 12:14:46 CEST 2013
[INFO] Final Memory: 115M/449M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-plugin-dependency-xml:1.0:serialize (serialize-dependencies) on project jsaga-installer: Failed to retrieve project: eu.eu-emi.security:canl:jar:1.1.0:compile -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.maven.plugins:maven-plugin-dependency-xml:1.0:serialize (serialize-dependencies) on project jsaga-installer: Failed to retrieve project: eu.eu-emi.security:canl:jar:1.1.0:compile
    at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:213)
    at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
    at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
    at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
    at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
    at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)
    at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
    at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
    at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
    at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:616)
    at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
    at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
    at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
    at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Schwarz Lionel almost 6 years ago

I guess you try to build branch jglobus2? This branch is in construction, I am currently working on this. I don't fully understand your Maven issue but anyway, let me a few days (weeks???) and I will commit my changes for a beta version of JSAGA-JGlobus2.

Don't hesitate to contact me on my email.

Lionel

RE: Problem using JSAGA WMS ADAPTOR (JSAGA 0.9.15) with EMI-UI 3. - Added by Frizziero Eric almost 6 years ago

Hi Lionel,

yes, I'm trying to build the branch jglobus2.
Ok, no problem for me to wait for the beta version of JSAGA-JGlobus2.

Cheers,
Eric.

(1-6/6)